Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxAtmTrafficDescriptor Struct Reference [IXP425 ATM Types (IxAtmTypes)] Structure describing an ATM traffic contract for a Virtual Connection (VC). More...
## Data Fields
IxAtmServiceCategory | atmService
| ATM service category.
unsigned | pcr
| Peak Cell Rate - cells per second.
unsigned | cdvt
| Cell Delay Variation Tolerance - in nanoseconds.
unsigned | scr
| Sustained Cell Rate - cells per second.
unsigned | mbs
| Max Burst Size - cells.
unsigned | mcr
| Minimum Cell Rate - cells per second.
unsigned | mfs
| Max Frame Size - cells.
## Detailed Description Structure describing an ATM traffic contract for a Virtual Connection (VC). Structure is used to specify the requested traffic contract for a VC to the IxAtmSch component using the ixAtmSchVcModelSetup interface. These parameters are defined by the ATM forum working group (http://www.atmforum.com). Note: Typical values for a voice channel 64 Kbit/s atmService IX_ATM_RTVBR pcr 400 (include IP overhead, and AAL5 trailer) cdvt 5000000 (5 ms) scr = pcr Typical values for a data channel 800 Kbit/s atmService IX_ATM_UBR pcr 1962 (include IP overhead, and AAL5 trailer) cdvt 5000000 (5 ms) Definition at line 291 of file IxAtmTypes.h. ## Field Documentation
IxAtmServiceCategory IxAtmTrafficDescriptor::atmService
| ATM service category. Definition at line 293 of file IxAtmTypes.h.
unsigned IxAtmTrafficDescriptor::cdvt
| Cell Delay Variation Tolerance - in nanoseconds. Definition at line 295 of file IxAtmTypes.h.
unsigned IxAtmTrafficDescriptor::mbs
| Max Burst Size - cells. Definition at line 297 of file IxAtmTypes.h.
unsigned IxAtmTrafficDescriptor::mcr
| Minimum Cell Rate - cells per second. Definition at line 298 of file IxAtmTypes.h.
unsigned IxAtmTrafficDescriptor::mfs
| Max Frame Size - cells. Definition at line 299 of file IxAtmTypes.h.
unsigned IxAtmTrafficDescriptor::pcr
| Peak Cell Rate - cells per second. Definition at line 294 of file IxAtmTypes.h.
unsigned IxAtmTrafficDescriptor::scr
| Sustained Cell Rate - cells per second. Definition at line 296 of file IxAtmTypes.h.
The documentation for this struct was generated from the following file: IxAtmTypes.h
Automatically generated from sources. © Intel Corp. 2003